﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace TBmemo
{
    public partial class Option : Form
    {
        Form1 _mainForm;

        public Form1 mainForm
        {
            get { return _mainForm; }
            set { _mainForm = value; }
        }



        public Option(Form1 form)
        {
            InitializeComponent();
            mainForm = form;
            OptionInitializeComponent();
        }

        //設定した項目をメインのフォームに反映させる
        public void SetOption()
        {
            mainForm.Opacity = 1 - ((double) OpacityNumericUpDown.Value * 0.01);
        }

        //オプションの各項目の初期化を行う
        private void OptionInitializeComponent()
        {
            OpacityNumericUpDown.Value = 100 - ((decimal)mainForm.Opacity * 100);
        }
    }
}
